| Home | Libraries | People | FAQ | More

#### http::chunk_extensions

A set of chunk extensions.

##### Synopsis

Defined in header `<boost/beast/http/chunk_encode.hpp>`

    using chunk_extensions = basic_chunk_extensions< std::allocator< char > >;

##### Types

Name | Description
--- | ---
value_type | The type of value when iterating.

##### Member Functions

Name | Description
--- | ---
basic_chunk_extensions | Constructor.
begin |
clear | Clear the chunk extensions.
end |
insert | Insert an extension name with an empty value. Insert an extension value.
parse | Parse a set of chunk extensions.
str | Return the serialized representation of the chunk extension.

This container stores a set of chunk extensions suited for use with `http::chunk_header` and `http::chunk_body`. The container may be iterated to access the extensions in their structured form. Meets the requirements of ChunkExtensions

##### Description

Convenience header `<boost/beast/http.hpp>`